POST https://{baseUrl}/api/sp2404
Request Parameters
Unix timestamp in milliseconds (13-digit). Start of the query range, inclusive.
Unix timestamp in milliseconds (13-digit). End of the query range, inclusive.
Unique ledger order number generated by Starlink Pay.
ISO 4217 3-letter currency code to filter results (e.g. USD).
Fund flow direction:
1 — Credit (incoming)
2 — Debit (outgoing)
Page number to retrieve (1-based).
Number of records per page. Maximum 100.
Response Body
Number of records returned per page.
Total number of matching records.
List of ledger entries.Show CurFlowRes properties
Unique ledger order number for this entry.
ISO 4217 3-letter currency code for this entry (e.g. USD).
Credit amount. null if this entry is a debit.
Debit amount. null if this entry is a credit.
Available account balance after this transaction.
Transaction timestamp (YYYY-MM-DD HH:mm:ss).
{
"beginDate": 1740313108000,
"endDate": 1740313110000,
"batchNo": "70735022320182900086",
"currency": "USD",
"flowType": "2",
"busiType": "C00",
"pageNum": 1,
"pageSize": 10
}
{
"pageNum": 1,
"pageSize": 10,
"total": 9668,
"list": [
{
"currency": "USD",
"busiType": "C11",
"busiDate": "2020-05-28 19:32:14",
"inAmount": null,
"outAmount": 7.0000,
"vailAmount": 5572.3100,
"batchNo": "41200528653124170019"
},
{
"currency": "USD",
"busiType": "C07",
"busiDate": "2020-05-27 17:52:56",
"inAmount": null,
"outAmount": 2218.0000,
"vailAmount": 5628.3100,
"batchNo": "41200527728820950004"
}
]
}